Browse Source

Use SIGKILL to actually kill the runner

Juliusz Sosinowicz 5 months ago
parent
commit
1bf0d8c896
2 changed files with 6 additions and 6 deletions
  1. 5 5
      .github/workflows/memcached.sh
  2. 1 1
      .github/workflows/memcached.yml

+ 5 - 5
.github/workflows/memcached.sh

@@ -1,14 +1,14 @@
 #!/bin/sh
 
 if [ -z "$GITHUB_WORKSPACE" ]; then
-	echo '$GITHUB_WORKSPACE is not set'
-	exit 1
+    echo '$GITHUB_WORKSPACE is not set'
+    exit 1
 fi
 
 if [ -z "$HOST_ROOT" ]; then
-	echo '$HOST_ROOT is not set'
-	exit 1
+    echo '$HOST_ROOT is not set'
+    exit 1
 fi
 
 chroot $HOST_ROOT make -C $GITHUB_WORKSPACE/memcached \
-	-j$(nproc) PARALLEL=$(nproc) test_tls
+    -j$(nproc) PARALLEL=$(nproc) test_tls

+ 1 - 1
.github/workflows/memcached.yml

@@ -90,7 +90,7 @@ jobs:
             MEMCACHED_RES=0 # Not set when command succeeds
             # Tests should usually take less than 4 minutes. If already taking
             # 5 minutes then they are probably stuck. Interrupt and re-run.
-            timeout 5m docker run -v /:/host \
+            time timeout -s SIGKILL 5m docker run -v /:/host \
               -v $GITHUB_WORKSPACE/build-dir/bin/memcached.sh:/memcached.sh \
               -e GITHUB_WORKSPACE=$GITHUB_WORKSPACE \
               -e HOST_ROOT=/host \